[Dis - Otros] Pokeruby |Error en la compilación|


Like Tree2Gracias
  • 1 Post By Laquin
  • 1 Post By Navy
Tema cerrado
 
Herramientas Desplegado
  #1  
26/07/2018
Predeterminado Pokeruby |Error en la compilación|
Buenas tardes


Mi duda era acerca de Pokeruby, exactamente en "Compilando Pokeruby" tengo nociones nulas sobre programación por lo que se me dificulta "instalar" esto porque osea estoy siguiente este tutorial de manera robótica

https://whackahack.com/foro/t-56554/...on-pokemon-r-s

No se para que sirve devkitProUpdater o para que sirve Cygwin, aunque bueno eso no es el problema pero si alguien me explica estaría bien.

El problema es que al ejecuta este comando:
Código:
./build.sh
Me sale este mensaje que yo creo que instale mal algo...


Al disponer de una máquina de 32bits no se si se deba a las versiones de devkitProUpdater 3.0.0 que descargue.

O en el paso 6 tampoco encontré esa carpeta:
Cygwin.bat les adjunto una imagen.



Gracias de antemano.

pd: Si alguien me explicara un poco mas sobre este tema del Pokéruby o como se trabaja en el le estaría agradecido.



M.H.B.P.
  #2  
26/07/2018
Predeterminado Respuesta: Pokeruby |Error en la compilación|
Yo tuve el mismo error:
https://whackahack.com/foro/424198-post13.html

Y bueno, en el RH convencional trabajamos cambiando datos hexadecimales de la ROM. En cambio, en Pokeruby, lo que hacemos es crear la ROM, a partir del código fuente. Claro, cada vez que lo compilas, esos datos que cambiaste de la ROM se cambiarían. Por eso, necesitamos modificar el código fuente.

Con unos conocimientos básicos de C, puedes hacer grandes cosas. Pásate por los subforos de tutoriales y de investigación para aprender más sobre cómo funciona.¡Saludos!


EDITO: Hasta donde yo sé, DKP incluye las librerías necesarias para hacer cosas para GBA, GBC, NDS, Switch, PSP, etc.
Cygwin es el comilador que utilizamos; el que pasa nuestro código fuente a código máquina.

EDITO2: @Marffy (te etiqueto para que lo leas) Mentira lo que acabo de decir XD definición de Cygwin en Wikipedia:
Cygwin es una colección de herramientas desarrollada por Cygnus Solutions para proporcionar un comportamiento similar a los sistemas Unix en Microsoft Window
Lo siento, no te sé decir de otra manera :c

El compilador, el que realmente pasa el código legible a código máquina es agbcc.
Gracias: Navy

¡Jarcors!


Última edición por Laquin; 26/07/2018 a las 18:01
  #3  
26/07/2018
Predeterminado Re: Pokeruby |Error en la compilación|
Lo escribo apurado porque tengo que irme, pero yo creo que si lo instale al DKP en el disco C mira:



pd: Gracias por aclararme algunas cosas^^
  #4  
26/07/2018
Predeterminado Respuesta: Pokeruby |Error en la compilación|
la compilacion de libgcc fallo, por eso no existe libgcc.a y no puedes copiarlo.
has exportado devkitarm?

Enviado desde mi SM-G531M mediante Tapatalk
Visita mi pagina web para ver algunos de mis proyectos y tech demos.
  #5  
26/07/2018
Predeterminado Respuesta: Re: Pokeruby |Error en la compilación|
Dicho por Marffy Ver mensaje
Lo escribo apurado porque tengo que irme, pero yo creo que si lo instale al DKP en el disco C mira:



pd: Gracias por aclararme algunas cosas^^
Mmmm, me pasaba lo mismo a mí...

Abre cygwin64\home\USER\.bashrc y dime qué pone en las últimas líneas. Te pondría fotos y tal, pero estoy en el móvil :/

También, asegúrate de haber instalado bien las librerías que puso @Lunos en su post.
Y bueno, no creo que importe mucho, pero veo que no tienes la versión 3.0.3...

¡Jarcors!

  #6  
26/07/2018
Predeterminado Respuesta: Re: Pokeruby |Error en la compilación|
Dicho por Marffy Ver mensaje
Lo escribo apurado porque tengo que irme, pero yo creo que si lo instale al DKP en el disco C mira:



pd: Gracias por aclararme algunas cosas^^
Tenés razón en que hayas instalado el devkitPro, pero yo no veo el devkitARM... xD

Ese es el problema, te debe haber faltado tildar la opción a la hora de instalarlo.

Antes había una forma de descargarlo directamente, pero por alguna razón no encuentro el link ahora...
Supongo que ejecutando el instalador de devkitPro nuevamente te va a dar la opción de modificar la instalación y vas a poder descargar el devkitARM.
Sino probá desinstalarlo e instalarlo de nuevo.

o_O
  #7  
26/07/2018
Predeterminado Re: Pokeruby |Error en la compilación|
@Laquin
En las ultimas lineas solo me aparece esto:

Con respecto a la versión yo tampoco se si influye pero al disponer de una maquina de 32bits esa era la versión que pude descargar...
@Monika
Lo volví a instalar de nuevo como dijiste pero lo único que me deja instalar son los componentes "GBA Development", todo lo demás es siguiente, siguiente ectect...


Entonces voy a buscar el devkitARM, pero luego que hago con el?

pd: Gracias por ayudarme ambos :,D...
  #8  
26/07/2018
Predeterminado Respuesta: Re: Pokeruby |Error en la compilación|
Dicho por Marffy Ver mensaje
@Laquin
En las ultimas lineas solo me aparece esto:

Con respecto a la versión yo tampoco se si influye pero al disponer de una maquina de 32bits esa era la versión que pude descargar...
@Monika
Lo volví a instalar de nuevo como dijiste pero lo único que me deja instalar son los componentes "GBA Development", todo lo demás es siguiente, siguiente ectect...


Entonces voy a buscar el devkitARM, pero luego que hago con el?

pd: Gracias por ayudarme ambos :,D...
Lo que digo es que me mandes el archivo por dentro XD Debería salir algo así:


Deberías tener el DKA dentro de la carpeta de DKP:

¡Jarcors!

  #9  
27/07/2018
Predeterminado Respuesta: Re: Pokeruby |Error en la compilación|
@Laquin, no debería ser problema de las variables de entorno, sino el error tendría el path icorrecto. El problema es que devkitARM no está dentro del devkitPro, por ende no encuentra el archivo de base_rules.

La verdad que no se porque será el problema, ¿tal vez un error en la instalación?
¿Alguien que haya instalado del devkitARM en windows recientemente que sepa si se está salteando algún paso?

o_O
  #10  
27/07/2018
Predeterminado Re: Pokeruby |Error en la compilación|
Intente instalarlo de nuevo con versiones anteriores donde me aparecía la opción de instalar devkitARM sin embargo desde la versión 3.0.0 hasta abajo me saltan error:


Yo creo que solo funciona para 64 bits... es una pena pero bueno al menos lo intente.

Gracias por su ayuda
Pueden cerrar el tema.
Gracias: Stunx
Tema cerrado

Herramientas
Desplegado

Permisos para publicar mensajes
No puedes crear nuevos temas
No puedes responder mensajes
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los BB code están Activado
Los Emoticones están Activado
El código [IMG] está Activado
El Código HTML está Desactivado
Trackbacks are Activado
Pingbacks are Activado
Refbacks are Desactivado



Extra
Estilo clásico
La franja horaria es GMT +1. Ahora son las 02:53.